package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class RewardsRulesQueryInfo extends QueryInfo {
    private Integer teacherId;

    private Integer subjectId;

    private Integer vipGroupCategoryId;

    private String rewardMode;

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getVipGroupCategoryId() {
        return vipGroupCategoryId;
    }

    public void setVipGroupCategoryId(Integer vipGroupCategoryId) {
        this.vipGroupCategoryId = vipGroupCategoryId;
    }

    public String getRewardMode() {
        return rewardMode;
    }

    public void setRewardMode(String rewardMode) {
        this.rewardMode = rewardMode;
    }
}
